Loading...
Searching...
No Matches
dcmtk::log4cplus::TraceLogger Class Reference

This class is used to produce "Trace" logging. More...

## Detailed Description

This class is used to produce "Trace" logging.

When an instance of this class is created, it will log a `"ENTER: " + msg` log message if TRACE_LOG_LEVEL is enabled for `logger`. When an instance of this class is destroyed, it will log a `"ENTER: " + msg` log message if TRACE_LOG_LEVEL is enabled for `logger`.

See also
  DCMTK_LOG4CPLUS_TRACE

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/tracelog.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0